curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/kb/history' \
--header 'X-API-Key: YOUR_API_KEY'
{
"enriched_events": [
{
"actor": "string",
"entity_ids": [],
"entity_names": [],
"event_type": "string",
"id": "string",
"metadata": {},
"object": "string",
"object_name": "string",
"org_id": "string",
"predicate": "string",
"subject": "string",
"subject_name": "string",
"summary": "string",
"timestamp": "2026-07-24T12:00:00Z"
}
],
"events": [
{
"actor": "string",
"event_type": {
"entity_id": null,
"entity_type": null,
"name": null,
"type": null
},
"id": "string",
"metadata": {},
"org_id": "string",
"timestamp": "2026-07-24T12:00:00Z"
}
],
"total": 1
}
Handler for GET /api/v1/kb/history
Required scope: read
GET
/
api
/
v1
/
kb
/
history
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/kb/history' \
--header 'X-API-Key: YOUR_API_KEY'
{
"enriched_events": [
{
"actor": "string",
"entity_ids": [],
"entity_names": [],
"event_type": "string",
"id": "string",
"metadata": {},
"object": "string",
"object_name": "string",
"org_id": "string",
"predicate": "string",
"subject": "string",
"subject_name": "string",
"summary": "string",
"timestamp": "2026-07-24T12:00:00Z"
}
],
"events": [
{
"actor": "string",
"event_type": {
"entity_id": null,
"entity_type": null,
"name": null,
"type": null
},
"id": "string",
"metadata": {},
"org_id": "string",
"timestamp": "2026-07-24T12:00:00Z"
}
],
"total": 1
}
Required scope:
read
Query parameters
string
RFC3339 lower bound timestamp
string
RFC3339 upper bound timestamp
string
Optional org filter
integer
Max events to return (default 100)
Response
HistoryResponse
HistoryEventView[]
required
KBEvent[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | KB history events |
400 | Invalid timestamp |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/kb/history' \
--header 'X-API-Key: YOUR_API_KEY'
{
"enriched_events": [
{
"actor": "string",
"entity_ids": [],
"entity_names": [],
"event_type": "string",
"id": "string",
"metadata": {},
"object": "string",
"object_name": "string",
"org_id": "string",
"predicate": "string",
"subject": "string",
"subject_name": "string",
"summary": "string",
"timestamp": "2026-07-24T12:00:00Z"
}
],
"events": [
{
"actor": "string",
"event_type": {
"entity_id": null,
"entity_type": null,
"name": null,
"type": null
},
"id": "string",
"metadata": {},
"org_id": "string",
"timestamp": "2026-07-24T12:00:00Z"
}
],
"total": 1
}